AnalyzeSerializablesJUnitTestBase (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.codeAnalysis

## Class AnalyzeSerializablesJUnitTestBase

- java.lang.Object
- - org.apache.geode.codeAnalysis.AnalyzeSerializablesJUnitTestBase

-     public abstract class AnalyzeSerializablesJUnitTestBase
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.junit.rules.TestName` | `testName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalyzeSerializablesJUnitTestBase()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `findClasses()`
    `protected abstract java.lang.String` | `getModuleName()` Override only this one method in sub-classes
    `void` | `loadExpectedSerializables()`
    `void` | `setUp()`
    `void` | `testDataSerializables()`
    `void` | `testExcludedClassesAreNotInSanctionedSerializables()`
    `void` | `testExcludedClassesExistAndDoNotDeserialize()`
    `void` | `testOpenBugsAreInSanctionedSerializables()`
    `void` | `testSanctionedClassesExistAndDoDeserialize()`
    `void` | `testSerializables()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### testName

          public org.junit.rules.TestName testName

  - ### Constructor Detail

    - #### AnalyzeSerializablesJUnitTestBase

          public AnalyzeSerializablesJUnitTestBase()

  - ### Method Detail

    - #### loadExpectedSerializables

          public void loadExpectedSerializables()
                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### findClasses

          public void findClasses()
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setUp

          public void setUp()
                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getModuleName

          protected abstract java.lang.String getModuleName()

      Override only this one method in sub-classes

    - #### testDataSerializables

          public void testDataSerializables()
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testSerializables

          public void testSerializables()
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testExcludedClassesExistAndDoNotDeserialize

          public void testExcludedClassesExistAndDoNotDeserialize()
                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testSanctionedClassesExistAndDoDeserialize

          public void testSanctionedClassesExistAndDoDeserialize()
                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testOpenBugsAreInSanctionedSerializables

          public void testOpenBugsAreInSanctionedSerializables()
                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testExcludedClassesAreNotInSanctionedSerializables

          public void testExcludedClassesAreNotInSanctionedSerializables()
                                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`